#include<bits/stdc++.h>
using namespace std;
int i=2;
	ifstream f1("DQPTNT.inp");
	ofstream f2("DQPTNT.out");
void tach(int n,int i)
{
	
	if(n>1)
	{
	if(n%i==0)
	{
		f2<<i<<" ";
		tach (n/i,i);
	}
	else	{
	i++;tach(n,i);}
	}
	
}
int main()
{
	int n,j;
	int a[2000];
	f1>>n;
	for(j=1;j<=n;j++)	cin>>a[j];
	for(j=1;j<=n;j++)	
	{int i=2;
	tach(a[j],i);
	f2<<endl;}

	
}
